<?php
namespace Bushelpowered\Api\Aggregator\Location\V1\Request;
        
class GetLocationByIdRequest 
{
    /** @var string $id The location identifier in Tenant*/
    public string $id;
    /** @var int $companyId The company identifier in Centre.*/
    public int $companyId;

    /**
     * @param  string  $id The location identifier in Tenant
     * @param  int  $companyId The company identifier in Centre.
     */
    public function __construct(string $id, int $companyId)
    {
        $this->id = $id;
        $this->companyId = $companyId;
    }
    

}