<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Response;
        
class CommodityVarietyResponse 
{
    /** @var string $commodityVarietyId */
    public string $commodityVarietyId;
    /** @var string $varietyName */
    public string $varietyName;
    /** @var string $commoditySubgroupId */
    public string $commoditySubgroupId;
    /** @var string $subgroupName */
    public string $subgroupName;
    /** @var string $commodityGroupId */
    public string $commodityGroupId;
    /** @var string $groupName */
    public string $groupName;
    /** @var string $commodityClassId */
    public string $commodityClassId;
    /** @var string $className */
    public string $className;

    /**
     * @param  string  $commodityVarietyId 
     * @param  string  $varietyName 
     * @param  string  $commoditySubgroupId 
     * @param  string  $subgroupName 
     * @param  string  $commodityGroupId 
     * @param  string  $groupName 
     * @param  string  $commodityClassId 
     * @param  string  $className 
     */
    public function __construct(string $commodityVarietyId, string $varietyName, string $commoditySubgroupId, string $subgroupName, string $commodityGroupId, string $groupName, string $commodityClassId, string $className)
    {
        $this->commodityVarietyId = $commodityVarietyId;
        $this->varietyName = $varietyName;
        $this->commoditySubgroupId = $commoditySubgroupId;
        $this->subgroupName = $subgroupName;
        $this->commodityGroupId = $commodityGroupId;
        $this->groupName = $groupName;
        $this->commodityClassId = $commodityClassId;
        $this->className = $className;
    }
    

}