<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Model;
        
class Signer 
{
    /** @var string $accountId The bushel account id of the signer.*/
    public string $accountId;
    /** @var string $email The email of the signer.*/
    public string $email;
    /** @var null|string $name The name of the signer.*/
    public ?string $name = null;

    /**
     * @param  string  $accountId The bushel account id of the signer.
     * @param  string  $email The email of the signer.
     * @param  null|string  $name The name of the signer.
     */
    public function __construct(string $accountId, string $email, ?string $name)
    {
        $this->accountId = $accountId;
        $this->email = $email;
        $this->name = $name;
    }
    

}