<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Request;
        
class ContactInformationRequest 
{
    /** @var null|string $id The id of the contact information to update, will be created if null*/
    public ?string $id = null;
    /** @var string $contactType The customer's phone or email type. i.e. primary, home, etc.*/
    public string $contactType;
    /** @var string $value The customer's phone (e.164 format) or email value*/
    public string $value;

    /**
     * @param  null|string  $id The id of the contact information to update, will be created if null
     * @param  string  $contactType The customer's phone or email type. i.e. primary, home, etc.
     * @param  string  $value The customer's phone (e.164 format) or email value
     */
    public function __construct(?string $id, string $contactType, string $value)
    {
        $this->id = $id;
        $this->contactType = $contactType;
        $this->value = $value;
    }
    

}