<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class CustomPageParagraph 
{
    /** @var null|string $title The title of the paragraph.*/
    public ?string $title = null;
    /** @var string $description The body/content of the paragraph.*/
    public string $description;

    /**
     * @param  null|string  $title The title of the paragraph.
     * @param  string  $description The body/content of the paragraph.
     */
    public function __construct(?string $title, string $description)
    {
        $this->title = $title;
        $this->description = $description;
    }
    

}