<?php
namespace Bushelpowered\Api\Iam\Serviceaccounts\V1\Response;
        
class CreateServiceAccountKeyResponse 
{
    /** @var \Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails $data */
    public \Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails $data;
    /** @var string $privateKey The private key for the service account. This is only returned once upon creation of the key, ensure you store it securely, it cannot be retrieved later!*/
    public string $privateKey;

    /**
     * @param  \Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails  $data 
     * @param  string  $privateKey The private key for the service account. This is only returned once upon creation of the key, ensure you store it securely, it cannot be retrieved later!
     */
    public function __construct(\Bushelpowered\Api\Iam\Serviceaccounts\V1\Model\ServiceAccountKeyDetails $data, string $privateKey)
    {
        $this->data = $data;
        $this->privateKey = $privateKey;
    }
    

}