<?php
namespace Bushelpowered\Api\Platform\Commodity\V1\Request;
        
class GetAllCommodityClassesRequest 
{
    /** @var string[]|null $commodityClassIds Only include information about the specified commodity classes.*/
    public ?array $commodityClassIds = null;
    /** @var string[]|null $tenantIds Request only commodity classes that one of these tenants has a tenant commodity for.*/
    public ?array $tenantIds = null;

    /**
     * @param  string[]|null  $commodityClassIds Only include information about the specified commodity classes.
     * @param  string[]|null  $tenantIds Request only commodity classes that one of these tenants has a tenant commodity for.
     */
    public function __construct(?array $commodityClassIds, ?array $tenantIds)
    {
        $this->commodityClassIds = $commodityClassIds;
        $this->tenantIds = $tenantIds;
    }
    

}