<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class FuturesCommodityStandard 
{
    /** @var string $name The name of the commodity*/
    public string $name;
    /** @var \Bushelpowered\Api\Trade\Futures\V1\Model\FutureStandard[] $futures The futures tied to the commodity*/
    public array $futures;

    /**
     * @param  string  $name The name of the commodity
     * @param  \Bushelpowered\Api\Trade\Futures\V1\Model\FutureStandard[]  $futures The futures tied to the commodity
     */
    public function __construct(string $name, array $futures)
    {
        $this->name = $name;
        $this->futures = $futures;
    }
    

}